We currently maintain 2 versions of lens:

We have committed to supporting the 3.7.x branch until GHC 7.8 is released. This version is at 3.7.6 as of the time of this writing. After GHC 7.8 is released we'll continue to
support a version with GHC 7.4 support until the next major GHC release occurs. Practically this means that there should always be some version of lens in a supported configuration
across the last 3 major GHC releases at all times -- counting GHC 7.2 as a technology preview rather than a major release.

We also have committed to keeping the current version of lens up to date and building as part of [stackage](http://github.com/fpco/stackage).

--Edward Kmett
Fri Mar 29 16:11:41 EDT 2013
